Skip to main content
PUT
/
missions
/
{missionId}
Updates a mission
curl --request PUT \
  --url https://api.inorbit.ai/missions/{missionId} \
  --header 'Content-Type: application/json' \
  --header 'x-auth-inorbit-app-key: <api-key>' \
  --data '
{
  "status": "<string>",
  "state": "<string>",
  "robotId": "<string>",
  "currentTaskId": "<string>",
  "inProgress": true,
  "label": "<string>",
  "startTs": 123,
  "endTs": 123,
  "completedPercent": 123,
  "estimatedDurationSecs": 123,
  "tasks": [
    {
      "taskId": "<string>",
      "status": "<string>",
      "inProgress": true,
      "completed": true,
      "estimatedDurationSecs": 123
    }
  ]
}
'
{
  "missionId": "<string>",
  "robotId": "<string>",
  "status": "<string>",
  "inProgress": true,
  "createdTs": 123,
  "tasks": [
    {
      "taskId": "<string>",
      "status": "<string>",
      "inProgress": true,
      "completed": true,
      "label": "<string>",
      "updatedTs": 123,
      "startTs": 123,
      "endTs": 123,
      "completedPercent": 123,
      "estimatedDurationSecs": 123,
      "arguments": {}
    }
  ],
  "state": "<string>",
  "label": "<string>",
  "startTs": 123,
  "endTs": 123,
  "completedPercent": 123,
  "estimatedDurationSecs": 123,
  "arguments": {},
  "data": {},
  "updatedTs": 123,
  "currentTaskId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

missionId
string
required

The mission id

Body

application/json

Mission attributes to be modified

status
string

Optional. Mission status (error, warning, ok). Most of the times this value is not needed; it will be derived from status and other fields.

state
string

Optional. Mission state. For example "running", "stuck", "late". Mostly customer-dependent; although some states will have their own semantics (configurable).

robotId
string

Optional. Assigns the mission to a specific robot. It can only be used when a mission has not yet been started.

currentTaskId
string

Updates the task currently being executed by the robot. When updating this values, other fields are also automatically updated (such as start or end time of tasks, and overall mission progress percentage).

inProgress
boolean

Optional. Whether this mission is still running. When inProgress is first changed to true, a startTs value is updated; and when changed from true to false, the endTs field is updated.

label
string

Optional. Mission description (in the PUT call, mission can be renamed).

startTs
number

Optional. Start time (milliseconds, epoch time). Updates the time the mission actually started. Note that there is no need to update it manually if the flag inProgress is used in POST and PUT calls.

endTs
number

Optional. End time (milliseconds, epoch time). Updates the time the mission ended. Note that there is no need to update it manually if the flag inProgress is used in PUT calls.

completedPercent
number

Optional. Progress of the mission; number from 0.0 to 1.0. This value can be explicitly updated; but in most cases it is not necessary: it can be calculated based on completed tasks and milestones and their declared duration.

estimatedDurationSecs
number

Optional. Updates the mission estimated duration (in seconds).

tasks
object[]

Array of task objects to perform point-wise updates on mission tasks. Not all tasks in the mission are required to appear; only those to be updated. The taskId field in each task object identifies the task (it must exist in the original mission creation) and a few other fields are allowed to be updated.

Response

A Mission object containing all mission's attributes

missionId
string
required

Unique mission id

robotId
string
required

Optional. The id of the robot associated to this mission. It can only be omitted for missions that have not yet been started.

status
string
required

Optional. Mission status (error, warning, ok). Most of the times this value is not needed; it will be derived from status and other fields.

inProgress
boolean
required

Is the robot currently executing the mission ?

createdTs
number
required

Mission creation timestamp

tasks
object[]
required

List of mission tasks

state
string

Optional. Mission state. For example "running", "stuck", "late". Mostly customer-dependent; although some states will have their own semantics (configurable).

label
string

Optional. Mission description (in the PUT call, mission can be renamed).

startTs
number

Mission last update timestamp

endTs
number

Mission last update timestamp

completedPercent
number

Progress of the mission

estimatedDurationSecs
number

Optional. Updates the mission estimated duration (in seconds).

arguments
object

Arguments passed to this mission. Free-form, key-value dictionary.

data
object

Metadata associated to this mission; including telemetry or results collected while running the mission. Free-form, key-value dictionary.

updatedTs
number

Mission last update timestamp

currentTaskId
string

Id of the task currently being executed by the robot